package com.bonus.core.customer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.core.customer.dto.CustChangePasswordDTO;
import com.bonus.core.customer.dto.CustForgetPasswordDTO;
import com.bonus.core.customer.dto.CustInfoDTO;
import com.bonus.core.customer.dto.CustPayDTO;
import com.bonus.core.customer.vo.CustInfoVo;
import com.bonus.core.customer.vo.CustPayVO;
import com.bonus.domain.CustInfo;

public interface CustInfoService extends IService<CustInfo> {

   CustInfoVo queryCustInfoDetail(CustInfo custInfo);

   AjaxResult custChangePassword(CustChangePasswordDTO content);

   AjaxResult custForgetPassword(CustForgetPasswordDTO content);

   String getOrderQRCode(Integer sourceType, String paramValue);

   CustInfoVo queryCustInfo(CustInfoDTO record);

   CustPayVO getCustPayVO(CustPayDTO custPayDTO);

   void updateCustPhotoUrl(Long custId, String photoUrl);
}
